%define _unpackaged_files_terminate_build 0

Release: 1

%define openssldir /home/solarspeed/openssl/etc

Summary: Secure Sockets Layer and cryptography libraries and tools
Name: blueonyx-openssl
Version: 1.1.0h
Source0: %{name}-%{version}.tar.gz
License: OpenSSL
Group: System Environment/Libraries
Provides: SSL
URL: http://www.openssl.org/
Packager: Michael Stauber <mstauber@solarspeed.net>
BuildRoot:   /var/tmp/%{name}-%{version}-root

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols as well as a full-strength general purpose cryptography library.
The project is managed by a worldwide community of volunteers that use the
Internet to communicate, plan, and develop the OpenSSL tookit and its related
documentation. 

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes. 

This package contains the base OpenSSL cryptography and SSL/TLS 
libraries and tools.

%package devel
Summary: Secure Sockets Layer and cryptography static libraries and headers
Group: Development/Libraries
Requires: openssl
%description devel
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols as well as a full-strength general purpose cryptography library.
The project is managed by a worldwide community of volunteers that use the
Internet to communicate, plan, and develop the OpenSSL tookit and its related
documentation. 

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes. 

This package contains the the OpenSSL cryptography and SSL/TLS 
static libraries and header files required when developing applications.

%package doc
Summary: OpenSSL miscellaneous files
Group: Documentation
Requires: openssl
%description doc
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols as well as a full-strength general purpose cryptography library.
The project is managed by a worldwide community of volunteers that use the
Internet to communicate, plan, and develop the OpenSSL tookit and its related
documentation. 

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes. 

This package contains the the OpenSSL cryptography and SSL/TLS extra
documentation and POD files from which the man pages were produced.

%prep

%setup -q

%build 

%define CONFIG_FLAGS -DSSL_ALLOW_ADH -fPIC --prefix=/home/solarspeed/openssl/ --openssldir=/home/solarspeed/openssl/etc/ -Wl,--enable-new-dtags,-rpath,'$(LIBRPATH)'

%ifarch i386 i486 i586 i686
./Configure --prefix=/home/solarspeed/openssl/ %{CONFIG_FLAGS} linux-elf shared
%endif
%ifarch ppc
./Configure --prefix=/home/solarspeed/openssl/ %{CONFIG_FLAGS} linux-ppc shared
%endif
%ifarch alpha
./Configure --prefix=/home/solarspeed/openssl/ %{CONFIG_FLAGS} linux-alpha shared
%endif
%ifarch x86_64
./Configure --prefix=/home/solarspeed/openssl/ %{CONFIG_FLAGS} linux-x86_64 shared
%endif
LD_LIBRARY_PATH=`pwd` make
#LD_LIBRARY_PATH=`pwd` make rehash
#LD_LIBRARY_PATH=`pwd` make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
# Install OpenSSL.
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_mandir},%{_libdir}/openssl}
make DESTDIR=$RPM_BUILD_ROOT install

# Move runable perl scripts to bindir
mv $RPM_BUILD_ROOT/home/solarspeed/openssl/etc/misc/*.pl $RPM_BUILD_ROOT/home/solarspeed/openssl/bin/
mv $RPM_BUILD_ROOT/home/solarspeed/openssl/etc/misc/tsget $RPM_BUILD_ROOT/home/solarspeed/openssl/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE NEWS README

%attr(0755,root,root) /home/solarspeed/openssl/bin/*
%attr(0755,root,root) /home/solarspeed/openssl/lib/*.so*
%attr(0644,root,root) /home/solarspeed/openssl/share/man/man[157]/*

%config %attr(0644,root,root) /home/solarspeed/openssl/etc/openssl.cnf 
%dir %attr(0755,root,root) /home/solarspeed/openssl/etc/certs
%dir %attr(0750,root,root) /home/solarspeed/openssl/etc/private

%files devel
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE NEWS README

%attr(0644,root,root) /home/solarspeed/openssl/lib/*.a
%attr(0644,root,root) /home/solarspeed/openssl/lib/pkgconfig/openssl.pc
%attr(0644,root,root) /home/solarspeed/openssl/include/openssl/*
%attr(0644,root,root) /home/solarspeed/openssl/share/man/man[3]/*

%files doc
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE NEWS README
%doc doc

%post
ldconfig

%postun
ldconfig

%changelog
* Wed Mar 28 2018 Michael Stauber <mstauber@solarspeed.net> 1.1.0h-1
- Update to 1.1.0h

* Thu Mar 15 2018 Michael Stauber <mstauber@solarspeed.net> 1.1.0g-1   
- Update to 1.1.0g

* Sun Aug 28 2016 Michael Stauber <mstauber@solarspeed.net> 1.0.2h-1   
- Initial build
